Bug 1642187 (CVE-2018-12397) - CVE-2018-12397 Mozilla: WebExtension local file permission check bypass
Summary: CVE-2018-12397 Mozilla: WebExtension local file permission check bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-12397
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20181023,repor...
Depends On: 1640852 1640854 1649195
Blocks: 1640850
TreeView+ depends on / blocked
 
Reported: 2018-10-23 22:08 UTC by Doran Moppert
Modified: 2019-06-08 23:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-13 06:16:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3005 None None None 2018-10-24 22:09:48 UTC
Red Hat Product Errata RHSA-2018:3006 None None None 2018-10-24 22:10:13 UTC

Description Doran Moppert 2018-10-23 22:08:26 UTC
A WebExtension can request access to local files without the warning prompt stating that the extension will "Access your data for all websites" being displayed to the user. This allows extensions to run content scripts in local pages without permission warnings when a local file is opened.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-27/#CVE-2018-12397

Comment 1 Doran Moppert 2018-10-23 22:08:36 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Rob Wu

Comment 2 errata-xmlrpc 2018-10-24 22:09:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3005 https://access.redhat.com/errata/RHSA-2018:3005

Comment 3 errata-xmlrpc 2018-10-24 22:10:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3006 https://access.redhat.com/errata/RHSA-2018:3006


Note You need to log in before you can comment on or make changes to this bug.